rte_meter_srtcm_params(3)

NAME
rte_meter_srtcm_params

SYNOPSIS

#include <rte_meter.h>

  Data Fields

uint64_t cir
uint64_t cbs
uint64_t ebs

Detailed Description

srTCM parameters per metered traffic flow. The CIR, CBS and EBS parameters only count bytes of IP packets and do not include link specific headers. At least one of the CBS or EBS parameters has to be greater than zero.

Definition at line 41 of file rte_meter.h.

Field Documentation

  uint64_t cir
Committed Information Rate (CIR). Measured in bytes per second.

Definition at line 42 of file rte_meter.h.

  uint64_t cbs
Committed Burst Size (CBS). Measured in bytes.

Definition at line 43 of file rte_meter.h.

  uint64_t ebs
Excess Burst Size (EBS). Measured in bytes.

Definition at line 44 of file rte_meter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.